image: "flowdalic/debian-dev:1.11"

before_script:
  - apt-get update && apt-get install -y nasm
  - apt-get install -y -t testing valgrind
  - |
    TOOLS="cc c++ clang clang++ gcc g++ clang-tidy clang meson nasm include-what-you-use valgrind"
    for tool in $TOOLS; do
      echo "$tool version"
      $tool --version
    done

stages:
  - smoke-test

smoke-test:
  stage: smoke-test
  script: make smoke-test
